=== debian/changelog ===
apcupsd (3.14.14-7) unstable; urgency=medium

  * debian/control: add bsdutils as runtime dependency as well
                    (Closes: #1119127)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Nov 2025 11:14:07 +0100

apcupsd (3.14.14-6) unstable; urgency=medium

  * debian/control: add Multi-Arch: foreign for doc package
  * debian/control: add dependency to bsdutils (needed for wall)
                    (Closes: #1118316)
  * debian/control: conflict with nut-client due to identical files
     /etc/init.d/ups-monitor, /usr/lib/systemd/system/ups-monitor.service
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: remove dependency to obsolete package libncurses5-dev
  * add debian/patches/17-reproducible-build.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 Oct 2025 18:14:07 +0200

apcupsd (3.14.14-5) unstable; urgency=medium

  * upload to unstable again

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 06 Aug 2024 22:14:07 +0200

apcupsd (3.14.14-4) experimental; urgency=medium

  * upload to experimental
  * Move files into /usr. (Closes: #1057900)
    (Thanks to Chris Hofstaedtler for the patch)
  * debian/rules: add $SCRIPTSHELL (Closes: #1024288)
    (Thanks to Vagrant Cascadian for the patch)
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: use dh11
  * debian/control: add Rules-Requires-Root: no
  * debian/watch: update to version 4
  * avoid exclusionary language in configuration files (Closes: #892769)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Jun 2024 19:14:07 +0200

apcupsd (3.14.14-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch b-d from python-docutils to python3-docutils; Closes: #942946

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jul 2020 20:36:12 -0400

apcupsd (3.14.14-3) unstable; urgency=medium

  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: do not depend on rst2pd (-> #929954)
                    (Closes: #935616)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Aug 2019 19:14:07 +0200

apcupsd (3.14.14-2) unstable; urgency=medium

  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/control: use dh11 (mostly)
  * debian/control: add salsa VCS URLs
  * debian/control: remove dependency for dh-systemd
  * debian/control: use prio optional
  * debian/control: remove dependency for python-imaging (Closes: #892950)
                    (dependency does not seem to be needed anymore)
  * debian/local/*: replace /etc/apcupsd/powerfail by file created
                    with PWRFAILDIR from config
                    (Closes: #541660, #572727, #576703)
  * debian/copyright: use https in URL
  * debian/control: drop dependency on libgconf2-dev (Closes: #885820)
  * debian/control: drop dependency on libgtk2.0-dev again
  * debian/rules: do not build with --enable-gapcmon
                  Unfortunately gconf2 shall be removed from Debian.
                  Upstream needs to move from gconf to gsettings.
                  As long as this did not happen, we can not build
                  the frontend any longer. (Closes: #889670, #878209)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Mar 2018 19:14:07 +0100

apcupsd (3.14.14-1) unstable; urgency=medium

  * new maintainer (Closes: #866835)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: use dh10
  * debian/control: remove useless dependency on dh-autoreconf
                    and autotools-dev
  * debian/control: add dependency on lsb-base to apcupsd
  * debian/apcupsd.servive: wait for network.online (Closes: #865620)
  * debian/rules: build with --enable-gapcmon
                  new dependencies: libgtk2.0-dev, libgconf2-dev
  * add 14-update-conf.patch (Closes: #849404)
    clarification for LOCKFILE usage in apcupsd.conf
  * debian/copyright: update

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 04 Oct 2017 19:00:03 +0200

apcupsd (3.14.14-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Split pre-start actions from init script to /usr/share/apcupsd/prestart.
  * Add systemd unit, ignoring /etc/defaults/apcupsd. (Closes: #849401)
  * Set default UPSTYPE/UPSCABLE to "usb", to avoid poking the serial line
    with the default configuration.
  * Remove APCACCESS variable from /etc/defaults/apcupsd.
  * Drop explicit build-dependency on libssl-dev. libsnmp-dev pulls it
    in for us.
  * Build with --enable-modbus-usb. (Closes: #844418)
  * Revert to libusb-dev for modbus-usb. The generic Linux driver does
    not actually use libusb.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 17 Jan 2017 00:00:03 +0000

apcupsd (3.14.14-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on arch:all buildd, patch from Santiago Vila.
    (Closes: #831804)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 21 Jul 2016 12:03:26 +0000

apcupsd (3.14.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. (Closes: #448147, #580225, #824942)
    * Refresh and drop obsolete patches.
    * Follow docs path change from homepage to manual
    * Update source path for manpages
    * Drop options configure no longer understands
  * Set source format to 3.0 (quilt) instead of using quilt directly
  * Convert to dh-style build rules and use compat 9
  * Explicitly set path to shutdown(1) (Closes: #828834)
  * Enable hardening flags for daemons
  * Use cat when /usr is already umounted or wall is missing (Closes: #709612)
  * Remove long gone Uploader, thanks Stefan Ritter (Closes: #831451)
  * Hook killpower into systemd-shutdown.
    Hook script from Fedora, thanks. And mask ups-monitor.service,
    which is only relevant for /etc/init.d/halt.
    (Closes: #807689)
  * Update Homepage (Closes: #816121)
  * Remove version number from generated conffiles (Closes: #322970)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 16 Jul 2016 14:10:23 +0000


