=== debian/control ===
Source: apcupsd
Section: admin
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
# 11 is needed due to dh_installinit
Build-Depends: debhelper-compat (= 11)
	, libgd-dev
	, libmodbus-dev
	, libncurses-dev
	, libsnmp-dev
	, libusb-dev
	, libwrap0-dev
	, mawk | awk
	, pkg-config
	, po-debconf
	, python3-docutils
	, systemd-dev
	, tcpd
	, texinfo
        , bsdutils
# gconf shall disappear:	, libgtk2.0-dev
# gconf shall disappear:	, libgconf2-dev
# will disappear:	, rst2pdf
Standards-Version: 4.7.2
Homepage: http://www.apcupsd.org/
Vcs-Browser: https://salsa.debian.org/alteholz/apcupsd
Vcs-Git: https://salsa.debian.org/alteholz/apcupsd.git
Rules-Requires-Root: no

Package: apcupsd
Architecture: any
Depends: ${misc:Depends}
	, ${shlibs:Depends}
	, lsb-base
        , bsdutils
Conflicts: ups-monitor, nut-client
Provides: ups-monitor
Recommends: apcupsd-doc,
            s-nail | mailx
Suggests: apcupsd-cgi,
          udev
Description: APC UPS Power Management (daemon)
 apcupsd provides UPS power management for APC products, including most BackUPS
 series models (including USB), SmartUPS V/S, SmartUPS (NET/RM), and Matrix
 series.
 .
 It controls and monitors the status of UPS and allows your computer to run for
 a specified length of time on UPS power, and then executes a controlled
 shutdown in the case of an extended power failure.

Package: apcupsd-cgi
Section: web
Architecture: any
Depends: apcupsd (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: apache2 | httpd
Description: APC UPS Power Management (web interface)
 apcupsd provides UPS power management for APC products, including most BackUPS
 series models (including USB), SmartUPS V/S, SmartUPS (NET/RM), and Matrix
 series.
 .
 This package contains the web interface.

Package: apcupsd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: apcupsd
Description: APC UPS Power Management (documentation/examples)
 apcupsd provides UPS power management for APC products, including most BackUPS
 series models (including USB), SmartUPS V/S, SmartUPS (NET/RM), and Matrix
 series.
 .
 This package contains the documentation and examples.
