=== debian/watch ===
version=4
http://sf.net/apcupsd/apcupsd-(.*)\.tar.gz
